Bug 212343

Summary: [exp-run] Update llvm/clang/lldb/libc++ in base to 3.9.0
Product: Ports & Packages Reporter: Dimitry Andric <dim>
Component: Ports FrameworkAssignee: Dimitry Andric <dim>
Status: Closed FIXED    
Severity: Affects Many People CC: emaste, jbeich, portmgr
Priority: --- Flags: dim: exp-run?
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 206074, 208158, 212426, 212431, 212432, 212465, 212623, 212687, 212696, 212798, 212804, 212909, 213515, 213517, 214592, 214639, 214645, 214646, 214647, 214648, 214649, 214650, 214651, 214652, 214653, 214654, 214659    
Bug Blocks: 213867, 216008    

Description Dimitry Andric freebsd_committer 2016-09-02 21:19:26 UTC
In the projects/clang390-import branch, we have imported the 3.9.0 release versions of llvm, clang, lldb and libc++.  I would like to request an exp-run using this branch, to find regressions before we merge it back to head.

For executing the run, please use:

svn://svn.freebsd.org/base/projects/clang390-import

As of r305302, the branch has been synchronized to head r305300.
Comment 1 Antoine Brodin freebsd_committer 2016-09-11 18:55:54 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR212343-default&build=2016-09-11_07h04m19s

New failures:

+ {"origin"=>"audio/clementine-player", "pkgname"=>"clementine-player-1.3.1", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"audio/mp3blaster", "pkgname"=>"mp3blaster-3.2.5_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/muse", "pkgname"=>"MuSE-0.9.2_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/playgsf", "pkgname"=>"playgsf-0.7.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/raop_play", "pkgname"=>"raop_play-0.5.1_10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/sidplay2", "pkgname"=>"sidplay2-2.0.9_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/zinf", "pkgname"=>"zinf-2.2.5_20", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"biology/bedtools", "pkgname"=>"bedtools-2.25.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/linuxcnc-devel", "pkgname"=>"linuxcnc-devel-20160626", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"comms/linrad", "pkgname"=>"linrad-4.02_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"converters/fix-mime-charset", "pkgname"=>"fix-mime-charset-0.5.3_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"deskutils/ical", "pkgname"=>"ical-2.2_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/android-tools-adb", "pkgname"=>"android-tools-adb-7.0.0.r1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "pkgname"=>"arm-none-eabi-gcc492-4.9.2_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/avr-gcc", "pkgname"=>"avr-gcc-4.9.3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/avr-gcc-devel", "pkgname"=>"avr-gcc-devel-4.10.0.s20140803_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/caf", "pkgname"=>"caf-0.14.5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/fam", "pkgname"=>"fam-2.6.10_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gcvs", "pkgname"=>"gcvs-1.0_15,1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/guikachu", "pkgname"=>"guikachu-1.5.10_6,3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/kore", "pkgname"=>"kore-2.0.0", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/mpatrol", "pkgname"=>"mpatrol-1.4.8_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/qbs", "pkgname"=>"qbs-1.5.2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/sdl2pp", "pkgname"=>"sdl2pp-0.12.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/spark", "pkgname"=>"apache-spark-1.6.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"dns/powerdns-recursor", "pkgname"=>"powerdns-recursor-4.0.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/biew", "pkgname"=>"biew-6.1.0_3", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"editors/libreoffice", "pkgname"=>"libreoffice-5.0.6_3", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/mupen64plus-video-glide64mk2", "pkgname"=>"mupen64plus-video-glide64mk2-2.5_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/open-vm-tools", "pkgname"=>"open-vm-tools-1280544_14,1", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"emulators/open-vm-tools-nox11", "pkgname"=>"open-vm-tools-nox11-1280544_14,1", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"emulators/simh", "pkgname"=>"simh-3.9.0", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/snes9x", "pkgname"=>"snes9x-1.51_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/vba", "pkgname"=>"vba-1.7.2_13", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/amoebax", "pkgname"=>"amoebax-0.2.1_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/eboard", "pkgname"=>"eboard-1.1.1_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/gtkradiant", "pkgname"=>"gtkradiant-1.5.0_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/kobodeluxe", "pkgname"=>"kobodeluxe-0.5.1_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/openbubbles", "pkgname"=>"openbubbles-1.2_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pinball", "pkgname"=>"pinball-0.3.1_20", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/toycars", "pkgname"=>"toycars-0.3.10_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/traindirector", "pkgname"=>"traindirector-3.6_7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/unnethack", "pkgname"=>"unnethack-5.1.0.20131208", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xjig", "pkgname"=>"xjig-2.4_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xmemory", "pkgname"=>"xmemory-3.7_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/ocropus", "pkgname"=>"ocropus-0.4_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/sharpconstruct", "pkgname"=>"sharpconstruct-0.11_10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/yafray", "pkgname"=>"yafray-0.0.9_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/zphoto", "pkgname"=>"zphoto-1.2_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"irc/quirc", "pkgname"=>"quirc-0.9.84_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/clang35", "pkgname"=>"clang35-3.5.2_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/fsharp", "pkgname"=>"fsharp-4.0.1.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/qore", "pkgname"=>"qore-0.8.12", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/v8-devel", "pkgname"=>"v8-devel-3.27.7_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"mail/bincimap", "pkgname"=>"bincimap-1.2.13_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/mmr", "pkgname"=>"mmr-1.6.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/thunderbird", "pkgname"=>"thunderbird-45.3.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/gambit", "pkgname"=>"gambit-15.1.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/atomicparsley", "pkgname"=>"AtomicParsley-0.9.0_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"multimedia/cx88", "pkgname"=>"cx88-1.5.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/k9copy-kde4", "pkgname"=>"k9copy-2.3.4_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/kdenlive", "pkgname"=>"kdenlive-0.9.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/mpeg4ip", "pkgname"=>"mpeg4ip-1.6.1_33", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/sabbu", "pkgname"=>"sabbu-0.3.0_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/transcode", "pkgname"=>"transcode-1.1.7_26", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/freetalk", "pkgname"=>"freetalk-3.2_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/jabber", "pkgname"=>"jabber-1.6.1.1_19,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/kmess-kde4", "pkgname"=>"kmess-2.0.6.2_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/bnbt", "pkgname"=>"bnbt-8.5_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/coda6_client", "pkgname"=>"coda-client-6.9.4_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/knemo-kde4", "pkgname"=>"knemo-0.7.7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/xorp", "pkgname"=>"xorp-1.8.5_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"palm/palm-db-tools", "pkgname"=>"palm-db-tools-0.3.6_1", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"print/hpijs", "pkgname"=>"hpijs-2.1.4_10", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"print/xpp", "pkgname"=>"xpp-1.5_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/mbgtools", "pkgname"=>"mbgtools-f.d.2013.06.26", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"textproc/scim", "pkgname"=>"scim-1.4.9_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"vietnamese/x-unikey", "pkgname"=>"vi-x-unikey-1.0.4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/chromium", "pkgname"=>"chromium-52.0.2743.116", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/cssed", "pkgname"=>"cssed-0.4.0_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/ctemplate", "pkgname"=>"ctemplate-0.5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/firefox-esr", "pkgname"=>"firefox-esr-45.4.0_1,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/libxul", "pkgname"=>"libxul-45.4.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node012", "pkgname"=>"node012-0.12.15", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/seamonkey", "pkgname"=>"seamonkey-2.39_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/squid", "pkgname"=>"squid-3.5.20", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/squid-devel", "pkgname"=>"squid-devel-4.0.13", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/squidpurge", "pkgname"=>"squidpurge-1.17_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/uwsgi", "pkgname"=>"uwsgi-2.0.13_1", "phase"=>"build", "errortype"=>"clang_werror"}


Failure logs:

http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/clementine-player-1.3.1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/mp3blaster-3.2.5_5.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/MuSE-0.9.2_14.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/playgsf-0.7.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/raop_play-0.5.1_10.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/sidplay2-2.0.9_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/zinf-2.2.5_20.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/bedtools-2.25.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/linuxcnc-devel-20160626.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/linrad-4.02_3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/fix-mime-charset-0.5.3_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/ical-2.2_4.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/android-tools-adb-7.0.0.r1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/arm-none-eabi-gcc492-4.9.2_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/avr-gcc-4.9.3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/avr-gcc-devel-4.10.0.s20140803_1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/caf-0.14.5.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/fam-2.6.10_8.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/gcvs-1.0_15,1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/guikachu-1.5.10_6,3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/kore-2.0.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/mpatrol-1.4.8_3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/qbs-1.5.2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/sdl2pp-0.12.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/apache-spark-1.6.1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/powerdns-recursor-4.0.1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/biew-6.1.0_3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/libreoffice-5.0.6_3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/mupen64plus-video-glide64mk2-2.5_3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/open-vm-tools-1280544_14,1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/open-vm-tools-nox11-1280544_14,1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/simh-3.9.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/snes9x-1.51_5.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/vba-1.7.2_13.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/amoebax-0.2.1_8.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/eboard-1.1.1_6.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/gtkradiant-1.5.0_14.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/kobodeluxe-0.5.1_12.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/openbubbles-1.2_4.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/pinball-0.3.1_20.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/toycars-0.3.10_7.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/traindirector-3.6_7.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/unnethack-5.1.0.20131208.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/xjig-2.4_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/xmemory-3.7_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/inventor-2.1.5.p10_12.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/ocropus-0.4_14.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/sharpconstruct-0.11_10.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/yafray-0.0.9_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/zphoto-1.2_14.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/quirc-0.9.84_6.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/clang35-3.5.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/fsharp-4.0.1.10.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/qore-0.8.12.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/v8-devel-3.27.7_5.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/bincimap-1.2.13_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/mmr-1.6.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/thunderbird-45.3.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/gambit-15.1.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/AtomicParsley-0.9.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/cx88-1.5.0.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/k9copy-2.3.4_14.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/kdenlive-0.9.10.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/mpeg4ip-1.6.1_33.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/sabbu-0.3.0_14.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/transcode-1.1.7_26.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/freetalk-3.2_5.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/jabber-1.6.1.1_19,1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/kmess-2.0.6.2_11.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/bnbt-8.5_2.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/coda-client-6.9.4_3.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/knemo-0.7.7.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/xorp-1.8.5_1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/palm-db-tools-0.3.6_1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/hpijs-2.1.4_10.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/xpp-1.5_11.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/mbgtools-f.d.2013.06.26.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/scim-1.4.9_4.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/vi-x-unikey-1.0.4.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/chromium-52.0.2743.116.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/cssed-0.4.0_9.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/ctemplate-0.5.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/firefox-esr-45.4.0_1,1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/libxul-45.4.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/node012-0.12.15.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/seamonkey-2.39_11.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/squid-3.5.20.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/squid-devel-4.0.13.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/squidpurge-1.17_4.log
http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/uwsgi-2.0.13_1.log
Comment 2 commit-hook freebsd_committer 2016-09-12 19:42:13 UTC
A commit references this bug:

Author: dim
Date: Mon Sep 12 19:41:12 UTC 2016
New revision: 421953
URL: https://svnweb.freebsd.org/changeset/ports/421953

Log:
  Fix build of audio/clementine-player with clang 3.9.0

  Clang 3.9.0 has a new warning about undefined template variables, which
  is triggered by including cryptopp headers in the spotify blob
  downloader:

  In file included from /wrkdirs/usr/ports/audio/clementine-player/work/Clementine-1.3.1/src/internet/spotify/spotifyblobdownloader.cpp:43:
  /usr/local/include/cryptopp/pkcspad.h:74:53: error: instantiation of variable 'CryptoPP::PKCS_DigestDecoration<CryptoPP::SHA512>::decoration' required here, but no definition is available [-Werror,-Wundefined-var-template]
                                  return HashIdentifier(PKCS_DigestDecoration<H>::decoration, PKCS_DigestDecoration<H>::length);
                                                                                  ^

  This warning could be silenced by hacking on cryptopp, but just suppress
  it for now.

  Approved by:	sbruno (maintainer)
  PR:		212343
  MFH:		2016Q3

Changes:
  head/audio/clementine-player/Makefile
Comment 3 commit-hook freebsd_committer 2016-09-13 18:38:08 UTC
A commit references this bug:

Author: dim
Date: Tue Sep 13 18:37:44 UTC 2016
New revision: 422055
URL: https://svnweb.freebsd.org/changeset/ports/422055

Log:
  MFH: r421953

  Fix build of audio/clementine-player with clang 3.9.0

  Clang 3.9.0 has a new warning about undefined template variables, which
  is triggered by including cryptopp headers in the spotify blob
  downloader:

  In file included from /wrkdirs/usr/ports/audio/clementine-player/work/Clementine-1.3.1/src/internet/spotify/spotifyblobdownloader.cpp:43:
  /usr/local/include/cryptopp/pkcspad.h:74:53: error: instantiation of variable 'CryptoPP::PKCS_DigestDecoration<CryptoPP::SHA512>::decoration' required here, but no definition is available [-Werror,-Wundefined-var-template]
                                  return HashIdentifier(PKCS_DigestDecoration<H>::decoration, PKCS_DigestDecoration<H>::length);
                                                                                  ^

  This warning could be silenced by hacking on cryptopp, but just suppress
  it for now.

  Approved by:	portmgr (feld)
  PR:		212343

Changes:
_U  branches/2016Q3/
  branches/2016Q3/audio/clementine-player/Makefile
Comment 4 Antoine Brodin freebsd_committer 2016-09-15 17:10:18 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR212343-default&build=2016-09-13_07h18m01s

New failures:

+ {"origin"=>"audio/mp3blaster", "pkgname"=>"mp3blaster-3.2.5_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/muse", "pkgname"=>"MuSE-0.9.2_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/playgsf", "pkgname"=>"playgsf-0.7.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/raop_play", "pkgname"=>"raop_play-0.5.1_10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/sidplay2", "pkgname"=>"sidplay2-2.0.9_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/zinf", "pkgname"=>"zinf-2.2.5_20", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"biology/bedtools", "pkgname"=>"bedtools-2.25.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/linuxcnc-devel", "pkgname"=>"linuxcnc-devel-20160626", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"comms/linrad", "pkgname"=>"linrad-4.02_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"converters/fix-mime-charset", "pkgname"=>"fix-mime-charset-0.5.3_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"deskutils/ical", "pkgname"=>"ical-2.2_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/android-tools-adb", "pkgname"=>"android-tools-adb-7.0.0.r1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "pkgname"=>"arm-none-eabi-gcc492-4.9.2_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/avr-gcc", "pkgname"=>"avr-gcc-4.9.3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/avr-gcc-devel", "pkgname"=>"avr-gcc-devel-4.10.0.s20140803_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/caf", "pkgname"=>"caf-0.14.5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/fam", "pkgname"=>"fam-2.6.10_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gcvs", "pkgname"=>"gcvs-1.0_15,1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/guikachu", "pkgname"=>"guikachu-1.5.10_6,3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/kore", "pkgname"=>"kore-2.0.0", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/mpatrol", "pkgname"=>"mpatrol-1.4.8_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/qbs", "pkgname"=>"qbs-1.5.2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/sdl2pp", "pkgname"=>"sdl2pp-0.12.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"dns/powerdns-recursor", "pkgname"=>"powerdns-recursor-4.0.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/mupen64plus-video-glide64mk2", "pkgname"=>"mupen64plus-video-glide64mk2-2.5_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/simh", "pkgname"=>"simh-3.9.0", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/snes9x", "pkgname"=>"snes9x-1.51_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/vba", "pkgname"=>"vba-1.7.2_13", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/amoebax", "pkgname"=>"amoebax-0.2.1_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/eboard", "pkgname"=>"eboard-1.1.1_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/gtkradiant", "pkgname"=>"gtkradiant-1.5.0_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/kobodeluxe", "pkgname"=>"kobodeluxe-0.5.1_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/openbubbles", "pkgname"=>"openbubbles-1.2_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pinball", "pkgname"=>"pinball-0.3.1_20", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/toycars", "pkgname"=>"toycars-0.3.10_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/traindirector", "pkgname"=>"traindirector-3.6_7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/unnethack", "pkgname"=>"unnethack-5.1.0.20131208", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xjig", "pkgname"=>"xjig-2.4_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xmemory", "pkgname"=>"xmemory-3.7_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/ocropus", "pkgname"=>"ocropus-0.4_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/sharpconstruct", "pkgname"=>"sharpconstruct-0.11_10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/yafray", "pkgname"=>"yafray-0.0.9_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/zphoto", "pkgname"=>"zphoto-1.2_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"irc/quirc", "pkgname"=>"quirc-0.9.84_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/clang35", "pkgname"=>"clang35-3.5.2_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/fsharp", "pkgname"=>"fsharp-4.0.1.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/qore", "pkgname"=>"qore-0.8.12", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/v8-devel", "pkgname"=>"v8-devel-3.27.7_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"mail/archiveopteryx", "pkgname"=>"archiveopteryx-3.2.0_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"mail/bincimap", "pkgname"=>"bincimap-1.2.13_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/mmr", "pkgname"=>"mmr-1.6.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/thunderbird", "pkgname"=>"thunderbird-45.3.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/gambit", "pkgname"=>"gambit-15.1.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/atomicparsley", "pkgname"=>"AtomicParsley-0.9.0_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"multimedia/cx88", "pkgname"=>"cx88-1.5.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mpeg4ip", "pkgname"=>"mpeg4ip-1.6.1_33", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/sabbu", "pkgname"=>"sabbu-0.3.0_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/freetalk", "pkgname"=>"freetalk-3.2_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/jabber", "pkgname"=>"jabber-1.6.1.1_19,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/bnbt", "pkgname"=>"bnbt-8.5_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/coda6_client", "pkgname"=>"coda-client-6.9.4_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/xorp", "pkgname"=>"xorp-1.8.5_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"palm/palm-db-tools", "pkgname"=>"palm-db-tools-0.3.6_1", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"print/hpijs", "pkgname"=>"hpijs-2.1.4_10", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"print/xpp", "pkgname"=>"xpp-1.5_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/mbgtools", "pkgname"=>"mbgtools-f.d.2013.06.26", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"textproc/scim", "pkgname"=>"scim-1.4.9_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"vietnamese/x-unikey", "pkgname"=>"vi-x-unikey-1.0.4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/chromium", "pkgname"=>"chromium-52.0.2743.116", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/cssed", "pkgname"=>"cssed-0.4.0_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/ctemplate", "pkgname"=>"ctemplate-0.5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/firefox-esr", "pkgname"=>"firefox-esr-45.4.0_1,1", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/libxul", "pkgname"=>"libxul-45.4.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node012", "pkgname"=>"node012-0.12.15", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/seamonkey", "pkgname"=>"seamonkey-2.39_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/squid", "pkgname"=>"squid-3.5.20", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/squid-devel", "pkgname"=>"squid-devel-4.0.13", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/squidpurge", "pkgname"=>"squidpurge-1.17_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/uwsgi", "pkgname"=>"uwsgi-2.0.13_1", "phase"=>"build", "errortype"=>"clang_werror"}

Failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/mp3blaster-3.2.5_5.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/MuSE-0.9.2_14.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/playgsf-0.7.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/raop_play-0.5.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/sidplay2-2.0.9_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/zinf-2.2.5_20.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/bedtools-2.25.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/linuxcnc-devel-20160626.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/linrad-4.02_3.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/fix-mime-charset-0.5.3_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/ical-2.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/android-tools-adb-7.0.0.r1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/arm-none-eabi-gcc492-4.9.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/avr-gcc-4.9.3.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/avr-gcc-devel-4.10.0.s20140803_1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/caf-0.14.5.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/fam-2.6.10_8.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/gcvs-1.0_15,1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/guikachu-1.5.10_6,3.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/kore-2.0.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/mpatrol-1.4.8_3.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/qbs-1.5.2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/sdl2pp-0.12.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/powerdns-recursor-4.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/mupen64plus-video-glide64mk2-2.5_3.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/simh-3.9.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/snes9x-1.51_5.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/vba-1.7.2_13.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/amoebax-0.2.1_8.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/eboard-1.1.1_6.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/gtkradiant-1.5.0_14.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/kobodeluxe-0.5.1_12.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/openbubbles-1.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/pinball-0.3.1_20.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/toycars-0.3.10_7.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/traindirector-3.6_7.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/unnethack-5.1.0.20131208.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/xjig-2.4_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/xmemory-3.7_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/inventor-2.1.5.p10_12.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/ocropus-0.4_14.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/sharpconstruct-0.11_10.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/yafray-0.0.9_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/zphoto-1.2_14.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/quirc-0.9.84_6.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/clang35-3.5.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/fsharp-4.0.1.10.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/qore-0.8.12.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/v8-devel-3.27.7_5.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/archiveopteryx-3.2.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/bincimap-1.2.13_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/mmr-1.6.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/thunderbird-45.3.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/gambit-15.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/AtomicParsley-0.9.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/cx88-1.5.0.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/mpeg4ip-1.6.1_33.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/sabbu-0.3.0_14.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/freetalk-3.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/jabber-1.6.1.1_19,1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/bnbt-8.5_2.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/coda-client-6.9.4_3.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/xorp-1.8.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/palm-db-tools-0.3.6_1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/hpijs-2.1.4_10.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/xpp-1.5_11.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/mbgtools-f.d.2013.06.26.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/scim-1.4.9_4.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/vi-x-unikey-1.0.4.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/chromium-52.0.2743.116.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/cssed-0.4.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/ctemplate-0.5.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/firefox-esr-45.4.0_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/libxul-45.4.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/node012-0.12.15.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/seamonkey-2.39_11.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/squid-3.5.20.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/squid-devel-4.0.13.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/squidpurge-1.17_4.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/uwsgi-2.0.13_1.log
Comment 5 Dimitry Andric freebsd_committer 2016-09-18 18:51:31 UTC
Fixes for Mozilla-related ports (mail/thunderbird, www/firefox-esr, www/libxul and www/seamonkey) have landed in r422403.
Comment 6 commit-hook freebsd_committer 2016-09-18 19:11:58 UTC
A commit references this bug:

Author: jbeich
Date: Sun Sep 18 19:11:35 UTC 2016
New revision: 422404
URL: https://svnweb.freebsd.org/changeset/ports/422404

Log:
  devel/android-tools-adb: unbreak build with libc++ 3.9

  PR:		212343

Changes:
  head/devel/android-tools-adb/Makefile
  head/devel/android-tools-adb/distinfo
Comment 7 Jan Beich freebsd_committer 2016-09-18 19:19:55 UTC
I don't think you need to MFH the fixes here:
- no head-* machines build quaterly packages according to pkg-status.freebsd.org
- 2016Q3 becomes EOL once 2016Q4 is branched (scheduled on 2016-10-01)
Comment 8 Dimitry Andric freebsd_committer 2016-10-17 00:57:04 UTC
@antoine: I retried editors/libreoffice with version 5.0.6_4, but I can't get it to crash; it builds to completion and runs fine. :)
Comment 9 Antoine Brodin freebsd_committer 2016-10-24 05:35:00 UTC
Exp-run results on i386:

http://package23.nyi.freebsd.org/build.html?mastername=headi386PR212343-default&build=2016-10-23_11h27m12s

New failures:

+ {"origin"=>"audio/muse", "pkgname"=>"MuSE-0.9.2_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/playgsf", "pkgname"=>"playgsf-0.7.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/sidplay2", "pkgname"=>"sidplay2-2.0.9_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/zinf", "pkgname"=>"zinf-2.2.5_20", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"biology/bedtools", "pkgname"=>"bedtools-2.25.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"comms/linrad", "pkgname"=>"linrad-4.02_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"converters/fix-mime-charset", "pkgname"=>"fix-mime-charset-0.5.3_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"deskutils/ical", "pkgname"=>"ical-2.2_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/arm-none-eabi-gcc492", "pkgname"=>"arm-none-eabi-gcc492-4.9.2_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/avr-gcc-devel", "pkgname"=>"avr-gcc-devel-4.10.0.s20140803_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/caf", "pkgname"=>"caf-0.14.5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/fam", "pkgname"=>"fam-2.6.10_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/gcvs", "pkgname"=>"gcvs-1.0_15,1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/guikachu", "pkgname"=>"guikachu-1.5.10_6,3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/kore", "pkgname"=>"kore-2.0.0", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/mpatrol", "pkgname"=>"mpatrol-1.4.8_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/qbs", "pkgname"=>"qbs-1.6.0_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/sdl2pp", "pkgname"=>"sdl2pp-0.12.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"dns/powerdns-recursor", "pkgname"=>"powerdns-recursor-4.0.3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/libreoffice", "pkgname"=>"libreoffice-5.0.6_4", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/mupen64plus-video-glide64mk2", "pkgname"=>"mupen64plus-video-glide64mk2-2.5_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/simh", "pkgname"=>"simh-3.9.0", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/snes9x", "pkgname"=>"snes9x-1.51_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/vba", "pkgname"=>"vba-1.7.2_13", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/amoebax", "pkgname"=>"amoebax-0.2.1_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/eboard", "pkgname"=>"eboard-1.1.1_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/gtkradiant", "pkgname"=>"gtkradiant-1.5.0_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/kobodeluxe", "pkgname"=>"kobodeluxe-0.5.1_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/openbubbles", "pkgname"=>"openbubbles-1.2_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pinball", "pkgname"=>"pinball-0.3.1_20", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/toycars", "pkgname"=>"toycars-0.3.10_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/traindirector", "pkgname"=>"traindirector-3.6_7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/unnethack", "pkgname"=>"unnethack-5.1.0.20131208", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xjig", "pkgname"=>"xjig-2.4_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/xmemory", "pkgname"=>"xmemory-3.7_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_12", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/sharpconstruct", "pkgname"=>"sharpconstruct-0.11_10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/yafray", "pkgname"=>"yafray-0.0.9_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/zphoto", "pkgname"=>"zphoto-1.2_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"irc/quirc", "pkgname"=>"quirc-0.9.84_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/clang35", "pkgname"=>"clang35-3.5.2_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/qore", "pkgname"=>"qore-0.8.12", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/v8-devel", "pkgname"=>"v8-devel-3.27.7_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"mail/bincimap", "pkgname"=>"bincimap-1.2.13_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/mmr", "pkgname"=>"mmr-1.6.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/gambit", "pkgname"=>"gambit-15.1.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/atomicparsley", "pkgname"=>"AtomicParsley-0.9.0_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"multimedia/cx88", "pkgname"=>"cx88-1.5.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mpeg4ip", "pkgname"=>"mpeg4ip-1.6.1_34", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/sabbu", "pkgname"=>"sabbu-0.3.0_14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-im/freetalk", "pkgname"=>"freetalk-3.2_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/jabber", "pkgname"=>"jabber-1.6.1.1_19,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/bnbt", "pkgname"=>"bnbt-8.5_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/coda6_client", "pkgname"=>"coda-client-6.9.4_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/xorp", "pkgname"=>"xorp-1.8.5_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"palm/palm-db-tools", "pkgname"=>"palm-db-tools-0.3.6_1", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"print/hpijs", "pkgname"=>"hpijs-2.1.4_10", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"print/xpp", "pkgname"=>"xpp-1.5_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/mbgtools", "pkgname"=>"mbgtools-f.d.2013.06.26", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"vietnamese/x-unikey", "pkgname"=>"vi-x-unikey-1.0.4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/chromium", "pkgname"=>"chromium-52.0.2743.116_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/cssed", "pkgname"=>"cssed-0.4.0_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/ctemplate", "pkgname"=>"ctemplate-0.5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node012", "pkgname"=>"node012-0.12.16", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/squid", "pkgname"=>"squid-3.5.20", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"www/squidpurge", "pkgname"=>"squidpurge-1.17_4", "phase"=>"build", "errortype"=>"clang"}

Failure logs:

http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/MuSE-0.9.2_14.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/playgsf-0.7.1_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/sidplay2-2.0.9_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/zinf-2.2.5_20.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/bedtools-2.25.0.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/linrad-4.02_3.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/fix-mime-charset-0.5.3_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/ical-2.2_4.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/arm-none-eabi-gcc492-4.9.2_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/avr-gcc-devel-4.10.0.s20140803_1.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/caf-0.14.5.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/fam-2.6.10_8.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/gcvs-1.0_15,1.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/guikachu-1.5.10_6,3.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/kore-2.0.0.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/mpatrol-1.4.8_3.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/qbs-1.6.0_1.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/sdl2pp-0.12.0.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/powerdns-recursor-4.0.3.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/libreoffice-5.0.6_4.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/mupen64plus-video-glide64mk2-2.5_3.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/simh-3.9.0.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/snes9x-1.51_5.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/vba-1.7.2_13.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/amoebax-0.2.1_8.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/eboard-1.1.1_6.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/gtkradiant-1.5.0_14.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/kobodeluxe-0.5.1_12.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/openbubbles-1.2_4.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/pinball-0.3.1_20.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/toycars-0.3.10_7.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/traindirector-3.6_7.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/unnethack-5.1.0.20131208.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/xjig-2.4_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/xmemory-3.7_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/inventor-2.1.5.p10_12.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/sharpconstruct-0.11_10.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/yafray-0.0.9_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/zphoto-1.2_14.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/quirc-0.9.84_6.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/clang35-3.5.2_1.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/qore-0.8.12.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/v8-devel-3.27.7_6.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/bincimap-1.2.13_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/mmr-1.6.0.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/gambit-15.1.0.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/AtomicParsley-0.9.0_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/cx88-1.5.0.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/mpeg4ip-1.6.1_34.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/sabbu-0.3.0_14.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/freetalk-3.2_5.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/jabber-1.6.1.1_19,1.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/bnbt-8.5_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/coda-client-6.9.4_3.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/xorp-1.8.5_1.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/palm-db-tools-0.3.6_1.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/hpijs-2.1.4_10.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/xpp-1.5_11.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/mbgtools-f.d.2013.06.26.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/vi-x-unikey-1.0.4.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/chromium-52.0.2743.116_2.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/cssed-0.4.0_9.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/ctemplate-0.5.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/node012-0.12.16.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/squid-3.5.20.log
http://package23.nyi.freebsd.org/data/headi386PR212343-default/2016-10-23_11h27m12s/logs/errors/squidpurge-1.17_4.log
Comment 10 commit-hook freebsd_committer 2016-11-18 03:34:19 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 18 03:34:14 UTC 2016
New revision: 426306
URL: https://svnweb.freebsd.org/changeset/ports/426306

Log:
  multimedia/atomicparsley: unbreak with libc++ 3.9

  AtomicParsley.cpp:1450:9: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
                  char* orig_suffix = strrchr(originating_file, '.');
                        ^             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  AtomicParsley.cpp:4467:10: error: assigning to 'char *' from incompatible type 'const char *'
                  suffix = strrchr(filePath, '.');
                         ^ ~~~~~~~~~~~~~~~~~~~~~~
  AtomicParsley.cpp:4483:9: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
                  char* file_name = strrchr(filePath, '/');
                        ^           ~~~~~~~~~~~~~~~~~~~~~~
  AtomicParsley.cpp:5009:11: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
                                  char* suffix = strrchr(m4aFile, '.');
                                        ^        ~~~~~~~~~~~~~~~~~~~~~
  PR:		212343
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/atomicparsley/files/patch-AtomicParsley.cpp
Comment 11 commit-hook freebsd_committer 2016-11-18 03:35:21 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 18 03:34:24 UTC 2016
New revision: 426307
URL: https://svnweb.freebsd.org/changeset/ports/426307

Log:
  graphics/zphoto: unbreak with libc++ 3.9

  image.cpp:557:11: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
      char *suffix1 = strrchr(src,  '.');
            ^         ~~~~~~~~~~~~~~~~~~
  image.cpp:558:11: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
      char *suffix2 = strrchr(dest, '.');
            ^         ~~~~~~~~~~~~~~~~~~
  PR:		212343
  Reported by:	antoine (via exp-run)

Changes:
  head/graphics/zphoto/files/patch-image.cpp
Comment 12 commit-hook freebsd_committer 2016-11-18 03:45:22 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 18 03:45:14 UTC 2016
New revision: 426308
URL: https://svnweb.freebsd.org/changeset/ports/426308

Log:
  deskutils/ical: unbreak with libc++ 3.9

  calfile.C:63:11: error: cannot initialize a variable of type 'char *' with an rvalue of type
        'const char *'
      char* lastSlash = strrchr(name, '/');
            ^           ~~~~~~~~~~~~~~~~~~
  PR:		212343
  Reported by:	antoine (via exp-run)

Changes:
  head/deskutils/ical/files/patch-calendar_calfile.C
Comment 13 Jan Beich freebsd_committer 2016-11-19 01:12:22 UTC
devel/sdl2pp builds fine after ports r426024
Comment 14 commit-hook freebsd_committer 2016-11-19 21:05:51 UTC
A commit references this bug:

Author: dim
Date: Sat Nov 19 21:05:17 UTC 2016
New revision: 308867
URL: https://svnweb.freebsd.org/changeset/base/308867

Log:
  Work around LLVM PR30879, which is about a bad interaction between X86
  Call Frame Optimization on i386 and libunwind, by disallowing the
  optimization for i386-freebsd12.

  This should fix some instances of broken exception handling when frame
  pointers are omitted, in particular some unittests run during the build
  of editors/libreoffice.

  This hack will be removed as soon as upstream has implemented a more
  permanent fix for this problem.

  Upstream PR:	https://llvm.org/bugs/show_bug.cgi?id=30879
  Reviewed by:	emaste
  PR:		212343

Changes:
  projects/clang390-import/contrib/llvm/lib/Target/X86/X86CallFrameOptimization.cpp
Comment 15 Jan Beich freebsd_committer 2017-01-03 14:14:43 UTC
Landed in base r309124 (/head) and base r310618 (/stable/11). Due to bug 203179 folly some dependencies have to be temporarily cleared.
Comment 16 commit-hook freebsd_committer 2017-01-03 21:04:54 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan  3 21:04:19 UTC 2017
New revision: 430520
URL: https://svnweb.freebsd.org/changeset/ports/430520

Log:
  devel/fam: unbreak with libc++ 3.9

  NFSFileSystem.c++:105:12: error: assigning to 'char *' from incompatible type 'const char *'
      if ((p = strstr(opt, "actimeo")))
             ^ ~~~~~~~~~~~~~~~~~~~~~~
  NFSFileSystem.c++:112:12: error: assigning to 'char *' from incompatible type 'const char *'
      if ((p = strstr(opt, "acregmin"))) {
             ^ ~~~~~~~~~~~~~~~~~~~~~~~
  NFSFileSystem.c++:118:12: error: assigning to 'char *' from incompatible type 'const char *'
      if ((p = strstr(opt, "acregmax"))) {
             ^ ~~~~~~~~~~~~~~~~~~~~~~~

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/libcxx/commit/b4aa97130b8b

Changes:
  head/devel/fam/Makefile
  head/devel/fam/files/patch-fam_NFSFileSystem.c++
Comment 17 commit-hook freebsd_committer 2017-01-03 21:04:56 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan  3 21:04:29 UTC 2017
New revision: 430521
URL: https://svnweb.freebsd.org/changeset/ports/430521

Log:
  print/hpijs: unbreak with libc++ 3.9

  registry.cpp:249:9: error: cannot initialize a variable of type 'char *' with an rvalue of type
        'const char *'
                  char    *cmdStr = strstr ((const char *) DevIDBuffer+2, "CMD:");
                           ^        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  dj3320.cpp:429:24: error: assigning to 'char *' from incompatible type 'const char *'
              if ((pcStr = strstr((const char*)pLDLEncap->byStatusBuff + 10, "$S:")) == NULL)
                         ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/libcxx/commit/b4aa97130b8b

Changes:
  head/print/hpijs/Makefile
  head/print/hpijs/files/patch-dj3320.cpp
  head/print/hpijs/files/patch-registry.cpp
Comment 18 commit-hook freebsd_committer 2017-01-03 21:04:58 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan  3 21:04:37 UTC 2017
New revision: 430522
URL: https://svnweb.freebsd.org/changeset/ports/430522

Log:
  emulators/snes9x: unbreak with libc++ 3.9

  unix/unix.cpp:1451:9: error: cannot initialize a variable of type 'char *' with an rvalue of type
        'const char *'
    char *slash = strrchr(path, SLASH_CHAR);
          ^       ~~~~~~~~~~~~~~~~~~~~~~~~~
  unix/unix.cpp:1452:9: error: cannot initialize a variable of type 'char *' with an rvalue of type
        'const char *'
    char *dot = strrchr(path, '.');
          ^     ~~~~~~~~~~~~~~~~~~

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/libcxx/commit/b4aa97130b8b

Changes:
  head/emulators/snes9x/Makefile
  head/emulators/snes9x/files/patch-unix_unix.cpp
Comment 19 commit-hook freebsd_committer 2017-01-03 21:06:00 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan  3 21:04:47 UTC 2017
New revision: 430523
URL: https://svnweb.freebsd.org/changeset/ports/430523

Log:
  emulators/mupen64plus-video-glide64mk2: unbreak with clang 3.9

  ./../src/Glide64/3dmath.cpp:274:5: error: use of undeclared identifier '__builtin_ia32_storeups'
      __builtin_ia32_storeups(r[i], destrow);
      ^

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/clang/commit/53a73530fec1

Changes:
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/emulators/mupen64plus-video-glide64mk2/files/patch-source_mupen64plus-video-glide64mk2-src-Glide64_3dmath.cpp
Comment 20 commit-hook freebsd_committer 2017-01-06 11:50:56 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan  6 11:50:42 UTC 2017
New revision: 430704
URL: https://svnweb.freebsd.org/changeset/ports/430704

Log:
  MFH: r430523

  emulators/mupen64plus-video-glide64mk2: unbreak with clang 3.9

  ./../src/Glide64/3dmath.cpp:274:5: error: use of undeclared identifier '__builtin_ia32_storeups'
      __builtin_ia32_storeups(r[i], destrow);
      ^

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/clang/commit/53a73530fec1

Changes:
_U  branches/2017Q1/
  branches/2017Q1/emulators/mupen64plus-video-glide64mk2/Makefile
  branches/2017Q1/emulators/mupen64plus-video-glide64mk2/files/patch-source_mupen64plus-video-glide64mk2-src-Glide64_3dmath.cpp
Comment 21 commit-hook freebsd_committer 2017-01-06 16:42:46 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan  6 16:42:11 UTC 2017
New revision: 430714
URL: https://svnweb.freebsd.org/changeset/ports/430714

Log:
  MFH: r430520

  devel/fam: unbreak with libc++ 3.9

  NFSFileSystem.c++:105:12: error: assigning to 'char *' from incompatible type 'const char *'
      if ((p = strstr(opt, "actimeo")))
             ^ ~~~~~~~~~~~~~~~~~~~~~~
  NFSFileSystem.c++:112:12: error: assigning to 'char *' from incompatible type 'const char *'
      if ((p = strstr(opt, "acregmin"))) {
             ^ ~~~~~~~~~~~~~~~~~~~~~~~
  NFSFileSystem.c++:118:12: error: assigning to 'char *' from incompatible type 'const char *'
      if ((p = strstr(opt, "acregmax"))) {
             ^ ~~~~~~~~~~~~~~~~~~~~~~~

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/libcxx/commit/b4aa97130b8b

Changes:
_U  branches/2017Q1/
  branches/2017Q1/devel/fam/Makefile
  branches/2017Q1/devel/fam/files/patch-fam_NFSFileSystem.c++
Comment 22 commit-hook freebsd_committer 2017-01-06 19:57:50 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan  6 19:57:32 UTC 2017
New revision: 430733
URL: https://svnweb.freebsd.org/changeset/ports/430733

Log:
  MFH: r430522

  emulators/snes9x: unbreak with libc++ 3.9

  unix/unix.cpp:1451:9: error: cannot initialize a variable of type 'char *' with an rvalue of type
        'const char *'
    char *slash = strrchr(path, SLASH_CHAR);
          ^       ~~~~~~~~~~~~~~~~~~~~~~~~~
  unix/unix.cpp:1452:9: error: cannot initialize a variable of type 'char *' with an rvalue of type
        'const char *'
    char *dot = strrchr(path, '.');
          ^     ~~~~~~~~~~~~~~~~~~

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/libcxx/commit/b4aa97130b8b

Changes:
_U  branches/2017Q1/
  branches/2017Q1/emulators/snes9x/Makefile
  branches/2017Q1/emulators/snes9x/files/patch-unix_unix.cpp
Comment 23 commit-hook freebsd_committer 2017-01-06 20:06:04 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan  6 20:05:46 UTC 2017
New revision: 430748
URL: https://svnweb.freebsd.org/changeset/ports/430748

Log:
  MFH: r430521

  print/hpijs: unbreak with libc++ 3.9

  registry.cpp:249:9: error: cannot initialize a variable of type 'char *' with an rvalue of type
        'const char *'
                  char    *cmdStr = strstr ((const char *) DevIDBuffer+2, "CMD:");
                           ^        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  dj3320.cpp:429:24: error: assigning to 'char *' from incompatible type 'const char *'
              if ((pcStr = strstr((const char*)pLDLEncap->byStatusBuff + 10, "$S:")) == NULL)
                         ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		212343
  Regressed by:	https://github.com/llvm-mirror/libcxx/commit/b4aa97130b8b

Changes:
_U  branches/2017Q1/
  branches/2017Q1/print/hpijs/Makefile
  branches/2017Q1/print/hpijs/files/patch-dj3320.cpp
  branches/2017Q1/print/hpijs/files/patch-registry.cpp
Comment 24 Jan Beich freebsd_committer 2017-02-01 06:34:40 UTC
portmgr, why /head build logs are inacessible? This makes it hard to measure how much libc++ 3.9 fallout remains e.g., const issue.

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p432608_s312909/logs/sidplay2-2.0.9_2.log
http://beefy11.nyi.freebsd.org/data/head-i386-default/p432608_s312909/logs/jabber-1.6.1.1_19,1.log
Comment 25 Antoine Brodin freebsd_committer 2017-02-01 06:38:24 UTC
(In reply to Jan Beich (mail not working) from comment #24)
IPv4 address shortage, they are reachable via IPv6
Comment 26 commit-hook freebsd_committer 2018-10-26 21:20:27 UTC
A commit references this bug:

Author: dim
Date: Fri Oct 26 21:20:06 UTC 2018
New revision: 483054
URL: https://svnweb.freebsd.org/changeset/ports/483054

Log:
  Add all patches from base llvm/clang/lld/lldb 6.0 to devel/llvm60

  This adds all the patches that were applied in the past to head, under
  contrib/llvm.  After these, there only minimal diffs left between the
  port sources and the base sources.

  Most of these remaining diffs are due to #ifdef shortcuts in the base
  sources, because we don't compile certain features in.  Other diffs are
  because the port has applied a few changes that we don't have in base.

  While here, use Makefile.LICENSE from the devel/llvm-devel port.

  Approved by:	brooks (maintainer)
  Reviewed by:	brooks
  PR:		212343, 225128, 225471, 226388, 226658, 226872, 229050, 230444, 230604, 231355
  MFH:		2018Q4
  Differential Revision: https://reviews.freebsd.org/D17702

Changes:
  head/devel/llvm60/Makefile
  head/devel/llvm60/files/clang/patch-head-r331066.diff
  head/devel/llvm60/files/clang/patch-head-r336227.diff
  head/devel/llvm60/files/clang/patch-head-r338697.diff
  head/devel/llvm60/files/clang/patch-head-r339019.diff
  head/devel/llvm60/files/lld/
  head/devel/llvm60/files/lld/patch-head-r331731.diff
  head/devel/llvm60/files/lld/patch-head-r333401.diff
  head/devel/llvm60/files/lld/patch-head-r336664.diff
  head/devel/llvm60/files/lld/patch-head-r336972.diff
  head/devel/llvm60/files/lld/patch-head-r337282.diff
  head/devel/llvm60/files/lld/patch-head-r338251.diff
  head/devel/llvm60/files/lld/patch-head-r338682.diff
  head/devel/llvm60/files/lld/patch-head-r339013.diff
  head/devel/llvm60/files/lld/patch-head-r339304.diff
  head/devel/llvm60/files/lldb/
  head/devel/llvm60/files/lldb/patch-head-r332849.diff
  head/devel/llvm60/files/lldb/patch-head-r332965.diff
  head/devel/llvm60/files/patch-head-r308867.diff
  head/devel/llvm60/files/patch-head-r330686.diff
  head/devel/llvm60/files/patch-head-r331065.diff
  head/devel/llvm60/files/patch-head-r331366.diff
  head/devel/llvm60/files/patch-head-r336969.diff
  head/devel/llvm60/files/patch-head-r336970.diff
  head/devel/llvm60/files/patch-head-r337615.diff
  head/devel/llvm60/files/patch-head-r338689.diff
Comment 27 commit-hook freebsd_committer 2018-10-31 18:49:33 UTC
A commit references this bug:

Author: dim
Date: Wed Oct 31 18:49:07 UTC 2018
New revision: 483602
URL: https://svnweb.freebsd.org/changeset/ports/483602

Log:
  MFH: r481120

  Update to a new snapshot.

  Update LICENSE data per mailing list feedback and move to a seperate
  Makefile.LICENSE for use by other llvm ports.

  MFH: r483054

  Add all patches from base llvm/clang/lld/lldb 6.0 to devel/llvm60

  This adds all the patches that were applied in the past to head, under
  contrib/llvm.  After these, there only minimal diffs left between the
  port sources and the base sources.

  Most of these remaining diffs are due to #ifdef shortcuts in the base
  sources, because we don't compile certain features in.  Other diffs are
  because the port has applied a few changes that we don't have in base.

  While here, use Makefile.LICENSE from the devel/llvm-devel port.

  Approved by:	portmgr (miwi)
  Reviewed by:	brooks
  PR:		212343, 225128, 225471, 226388, 226658, 226872, 229050, 230444, 230604, 231355
  Differential Revision: https://reviews.freebsd.org/D17702

Changes:
_U  branches/2018Q4/
  branches/2018Q4/devel/llvm-devel/Makefile
  branches/2018Q4/devel/llvm-devel/Makefile.LICENSE
  branches/2018Q4/devel/llvm-devel/Makefile.snapshot
  branches/2018Q4/devel/llvm-devel/distinfo
  branches/2018Q4/devel/llvm-devel/files/lldb-patch-tools_lldb_source_Plugins_Process_FreeBSD_ProcessFreeBSD.cpp
  branches/2018Q4/devel/llvm-devel/pkg-plist
  branches/2018Q4/devel/llvm60/Makefile
  branches/2018Q4/devel/llvm60/files/clang/patch-head-r331066.diff
  branches/2018Q4/devel/llvm60/files/clang/patch-head-r336227.diff
  branches/2018Q4/devel/llvm60/files/clang/patch-head-r338697.diff
  branches/2018Q4/devel/llvm60/files/clang/patch-head-r339019.diff
  branches/2018Q4/devel/llvm60/files/lld/
  branches/2018Q4/devel/llvm60/files/lldb/
  branches/2018Q4/devel/llvm60/files/patch-head-r308867.diff
  branches/2018Q4/devel/llvm60/files/patch-head-r330686.diff
  branches/2018Q4/devel/llvm60/files/patch-head-r331065.diff
  branches/2018Q4/devel/llvm60/files/patch-head-r331366.diff
  branches/2018Q4/devel/llvm60/files/patch-head-r336969.diff
  branches/2018Q4/devel/llvm60/files/patch-head-r336970.diff
  branches/2018Q4/devel/llvm60/files/patch-head-r337615.diff
  branches/2018Q4/devel/llvm60/files/patch-head-r338689.diff
Comment 28 commit-hook freebsd_committer 2018-11-01 17:48:30 UTC
A commit references this bug:

Author: brooks
Date: Thu Nov  1 17:47:34 UTC 2018
New revision: 483690
URL: https://svnweb.freebsd.org/changeset/ports/483690

Log:
  Add all patches from base llvm/clang/lld/lldb 7.0 to devel/llvm70

  This adds all the patches that were applied in the past to the
  clang700-import branch, under contrib/llvm. After these, there only
  minimal diffs left between the port sources and the base sources.

  Most of these remaining diffs are due to #ifdef shortcuts in the base
  sources, because we don't compile certain features in. Other diffs are
  because the port has applied a few changes that we don't have in base.

  Also switch to the common LICENSE defintion in devel/llvm-devel and
  chase new USE_GNOME requirements (for libxml2).

  PR:	212343, 230604
  Submitted by:	dim
  MFH:		2018Q4
  Differential Revision:	https://reviews.freebsd.org/D17709

Changes:
  head/devel/llvm70/Makefile
  head/devel/llvm70/files/clang/patch-head-r339019.diff
  head/devel/llvm70/files/lld/
  head/devel/llvm70/files/lld/patch-head-r337282.diff
  head/devel/llvm70/files/lld/patch-head-r338297.diff
  head/devel/llvm70/files/lld/patch-head-r338682.diff
  head/devel/llvm70/files/lld/patch-head-r339304.diff
  head/devel/llvm70/files/lld/patch-lld-manpage.diff
  head/devel/llvm70/files/lldb/
  head/devel/llvm70/files/lldb/patch-head-r332965.diff
  head/devel/llvm70/files/patch-head-r308867.diff